org.apache.solr.analysis

## Class MockTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.solr.analysis.MockTokenizerFactory

-     public class MockTokenizerFactory
      extends org.apache.lucene.analysis.util.TokenizerFactory

  Factory for `MockTokenizer` for testing purposes.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockTokenizerFactory(Map<String,String> args)` Creates a new MockTokenizerFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.MockTokenizer` | `create(org.apache.lucene.util.AttributeFactory factory)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, create, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockTokenizerFactory

          public MockTokenizerFactory(Map<String,String> args)

      Creates a new MockTokenizerFactory

  - ### Method Detail

    - #### create

          public org.apache.lucene.analysis.MockTokenizer create(org.apache.lucene.util.AttributeFactory factory)

      Specified by:
        `create` in class `org.apache.lucene.analysis.util.TokenizerFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.